---
sidebar_position: 15
description: Get chat members list and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get chat members list
 Get chat members list



`Function GetChatMembersList(Val URL, Val ChatID, Val Token = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | URL of webhook or a Bitrix24 domain, when token used |
  | ChatID | --chat | String, Number | &#x2714; | Chat ID (as chatXXX) or User ID (as XXX) |
  | Token | --token | String | &#x2716; | Access token, when app auth method used |

  
  Returns:  Map Of KeyAndValue - serialized JSON of answer from Bitrix24 API

:::tip
Method at API documentation: [im.dialog.users.list](https://dev.1c-bitrix.ru/learning/course/?COURSE_ID=93&LESSON_ID=23800)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    URL    = "https://b24-ar17wx.bitrix24.by/rest/1/h0m...";
    ChatID = "3516";

    OPI_TypeConversion.GetLine(ChatID);

    ChatString = "chat" + ChatID;

    Result = OPI_Bitrix24.GetChatMembersList(URL, ChatString);

    URL    = "b24-ar17wx.bitrix24.by";
    Token  = "6ad03969006e9f06006b12e400000001000...";
    UserID = 10;

    Result = OPI_Bitrix24.GetChatMembersList(URL, UserID, Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 GetChatMembersList \
             --url "b24-ar17wx.bitrix24.by" \
             --chat "***" \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 GetChatMembersList ^
             --url "b24-ar17wx.bitrix24.by" ^
             --chat "***" ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "result": [
  {
   "id": 10,
   "active": true,
   "name": "Techno Pizza",
   "first_name": "Techno",
   "last_name": "Pizza",
   "work_position": null,
   "color": "#ab7761",
   "avatar": "",
   "avatar_hr": "https://b24-ar17wx.bitrix24.by/bitrix/js/im/images/blank.gif",
   "gender": "M",
   "birthday": "",
   "extranet": false,
   "network": false,
   "bot": false,
   "connector": false,
   "external_auth_id": "socservices",
   "status": "online",
   "idle": false,
   "last_activity_date": "2024-07-13T18:36:23+00:00",
   "mobile_last_date": false,
   "desktop_last_date": false,
   "absent": false,
   "departments": [
    "***",
    "***",
    "***"
   ],
   "phones": "***",
   "bot_data": null,
   "type": "user",
   "website": "",
   "email": "iscript13@gmail.com"
  },
  {
   "id": 1,
   "active": true,
   "name": "Антон Титовец",
   "first_name": "Антон",
   "last_name": "Титовец",
   "work_position": null,
   "color": "#df532d",
   "avatar": "https://cdn-ru.bitrix24.by/b28528874/resize_cache/30/ff58db95aecdfa09ae61b51b5fd8f63f/main/d7e/d7e99cf556e4ab676463dae2c00ddfbb/a7e0af6899300e3c684caeca5c334d81.jpg",
   "avatar_hr": "https://cdn-ru.bitrix24.by/b28528874/resize_cache/30/ff58db95aecdfa09ae61b51b5fd8f63f/main/d7e/d7e99cf556e4ab676463dae2c00ddfbb/a7e0af6899300e3c684caeca5c334d81.jpg",
   "gender": "M",
   "birthday": "",
   "extranet": false,
   "network": false,
   "bot": false,
   "connector": false,
   "external_auth_id": "socservices",
   "status": "online",
   "idle": false,
   "last_activity_date": "2025-11-11T07:46:41+00:00",
   "mobile_last_date": false,
   "desktop_last_date": false,
   "absent": false,
   "departments": [
    "***",
    "***",
    "***"
   ],
   "phones": "***",
   "bot_data": null,
   "type": "user",
   "website": "",
   "email": "no-reply@bitrix24.com"
  }
 ],
 "total": 2,
 "time": {
  "start": 1765396725,
  "finish": 1765396725.55581,
  "duration": 0.555810928344727,
  "processing": 0,
  "date_start": "2025-12-10T19:58:45+00:00",
  "date_finish": "2025-12-10T19:58:45+00:00",
  "operating_reset_at": 1765397325,
  "operating": 0
 }
}
```
